<?php

namespace App\Mail;

use App\Models\Claim;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ClaimForUnderwriterMail extends Mailable
{
    use Queueable, SerializesModels;

    public Claim $claim;
    public string $link;

    public function __construct(Claim $claim, string $link)
    {
        $this->claim = $claim;
        $this->link  = $link;
    }

    public function build()
    {
        return $this->subject('Approved Claim for Underwriting Review')
            ->view('mails.underwriter');
    }
}
